For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Task object
          • GET/tasks
          • POST/tasks
          • GET/tasks/{id}
          • GET/tasks/meta/patch/{id}
          • GET/tasks/meta/post
          • GET/tasks/remote-field-classes
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsTasks

/tasks/{id}

GET
/crm/v1/tasks/:id
GET
/api/crm/v1/tasks/:id
$curl -G https://api.merge.dev/api/crm/v1/tasks/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode expand=owner,account,opportunity,contact
200Retrieved
1{
2 "id": "550e8400-e29b-41d4-a716-446655440000",
3 "remote_id": "19202938",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "subject": "Contact about Integration Strategy",
7 "content": "Follow up to see whether they need integrations",
8 "owner": "0358cbc6-2040-430a-848e-aafacbadf3aa",
9 "account": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
10 "opportunity": "550e8400-e29b-41d4-a716-446655440000",
11 "contact": "025fjlc6-6000-430a-848e-aafacbadf4fe",
12 "completed_date": "2022-02-11T00:00:00Z",
13 "due_date": "2022-02-10T00:00:00Z",
14 "status": "OPEN",
15 "remote_was_deleted": true,
16 "field_mappings": {
17 "organization_defined_targets": {
18 "custom_key": "custom_value"
19 },
20 "linked_account_defined_targets": {
21 "custom_key": "custom_value"
22 }
23 },
24 "remote_data": [
25 {
26 "path": "/tasks",
27 "data": null
28 }
29 ],
30 "remote_fields": [
31 {
32 "remote_field_class": {
33 "id": "string",
34 "display_name": "string",
35 "remote_key_name": "string",
36 "description": "string",
37 "is_custom": true,
38 "is_common_model_field": true,
39 "is_required": true,
40 "field_type": "string",
41 "field_format": "string",
42 "field_choices": [
43 "string"
44 ],
45 "item_schema": {
46 "item_type": "string",
47 "item_format": "string",
48 "item_choices": [
49 "string"
50 ]
51 }
52 },
53 "value": "string"
54 }
55 ]
56}

Returns a Task object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/tasks

Next

/tasks/meta/patch/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_remote_fieldsbooleanOptional
Whether to include all remote fields, including fields that Merge did not map to common models, in a normalized format.
include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
subjectstring or null
The task's subject.
contentstring or null
The task's content.
ownerstring or nullformat: "uuid"
The task's owner.
accountstring or nullformat: "uuid"
The task's account.
opportunitystring or nullformat: "uuid"
The task's opportunity.
contactstring or nullformat: "uuid"
The task's contact.
completed_datedatetime or null
When the task is completed.
due_datedatetime or null
When the task is due.
statusenum or null

The task’s status.

  • OPEN - OPEN
  • CLOSED - CLOSED
Allowed values:
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only
remote_fieldslist of objectsRead-only